org.omg.CosNaming

## Interface BindingIteratorOperations

All Known Subinterfaces:
  BindingIterator

All Known Implementing Classes:
  _BindingIteratorImplBase, _BindingIteratorStub, BindingIteratorPOA

    public interface BindingIteratorOperations

The BindingIterator interface allows a client to iterate through the bindings using the next_one or next_n operations. The bindings iterator is obtained by using the `list` method on the `NamingContext`.

See Also:
  `NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)`

### Method Summary

Methods
`void` `destroy()` This operation destroys the iterator.
`boolean` `next_n(int how_many, BindingListHolder bl)` This operation returns at most the requested number of bindings.
`boolean` `next_one(BindingHolder b)` This operation returns the next binding.

### Method Detail

#### next_one

    boolean next_one(BindingHolder b)

This operation returns the next binding. If there are no more bindings, false is returned.

Parameters:
  `b` - the returned binding

#### next_n

    boolean next_n(int how_many,
                 BindingListHolder bl)

This operation returns at most the requested number of bindings.

Parameters:
  `how_many` - the maximum number of bindings tro return

  `bl` - the returned bindings

#### destroy

    void destroy()

This operation destroys the iterator.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.